package com.hzs.member.account;

import com.hzs.common.core.domain.R;

/**
 * 会员模块定时任务
 */
public interface IMemberJobServiceApi {

    /**
     * 定时插入账户详情数据
     *
     * @return
     */
    R<?> insertAccountDetail();

    /**
     * 每月月初定时删除上上个月的数据
     *
     * @return Integer
     */
    R<?> deleteAccountDetailByMonth();

    /**
     * 自动提现
     *
     * @return
     */
    R<?> automaticWithdrawal();

}
